perl vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the perl package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • H
Out-of-bounds Write
* Not available 01 Jun, 2020
  • H
Integer Overflow or Wraparound
* Not available 01 Jun, 2020
  • H
Buffer Overflow
* Not available 01 Jun, 2020
  • H
Out-of-bounds Write
<5.20.2-3+deb8u12 Not available 02 Dec, 2018
  • H
Arbitrary Code Injection
<5.18.1-2 Not available 27 Jun, 2018
  • H
Link Following
* Not available 27 Jun, 2018
  • H
Link Following
<5.20.2-3+deb8u11 Not available 07 Jun, 2018
  • H
Out-of-bounds Write
* Not available 17 Apr, 2018
  • H
Out-of-bounds Write
<5.20.2-3+deb8u10 Not available 17 Apr, 2018
  • H
Out-of-Bounds
<5.20.2-3+deb8u9 Not available 19 Sep, 2017
  • H
Out-of-Bounds
<5.20.2-3+deb8u9 Not available 19 Sep, 2017
  • M
Race Condition
<5.20.2-3+deb8u7 Not available 01 Jun, 2017
  • H
Access Restriction Bypass
<5.20.2-3+deb8u6 Not available 02 Aug, 2016
  • H
Improper Access Control
<5.20.2-3+deb8u6 Not available 02 Aug, 2016
  • H
Improper Input Validation
<5.20.2-3+deb8u5 Not available 25 May, 2016
  • H
Improper Input Validation
<5.20.2-3+deb8u4 Not available 08 Apr, 2016
  • H
Improper Input Validation
<5.20.2-3+deb8u2 Not available 13 Jan, 2016
  • H
Numeric Errors
<5.20.0-1 Not available 16 Aug, 2015
  • M
Out-of-Bounds
<5.20.1-1 Not available 30 Sep, 2014
  • M
Improper Input Validation
<5.20.1-1 Not available 10 Feb, 2014
  • H
Resource Management Errors
<5.14.2-19 Not available 14 Mar, 2013
  • H
Arbitrary Code Injection
<5.14.2-16 Not available 04 Jan, 2013
  • M
CVE-2011-2728
<5.14.2-1 Not available 21 Dec, 2012
  • H
Out-of-Bounds
<5.14.2-14 Not available 18 Dec, 2012
  • M
Configuration
<5.14.2-16 Not available 21 Nov, 2012
  • H
Improper Input Validation
<5.12.4-6 Not available 13 Jan, 2012
  • M
Numeric Errors
<5.12.4-4 Not available 13 Jan, 2012
  • M
CVE-2011-0761
<5.12.0-1 Not available 13 May, 2011
  • M
Access Restriction Bypass
<5.10.1-20 Not available 11 Apr, 2011
  • M
CVE-2010-4411
<5.10.1-17 Not available 06 Dec, 2010